com.impinj.stp

## Interface StpApi.CommandOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Command, StpApi.Command.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.CommandOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddLicenseKeyCommand` | `getAddLicenseKey()`
    `StpApi.AddLicenseKeyCommandOrBuilder` | `getAddLicenseKeyOrBuilder()`
    `StpApi.AddOrderedListEntriesCommand` | `getAddOrderedListEntries()`
    `StpApi.AddOrderedListEntriesCommandOrBuilder` | `getAddOrderedListEntriesOrBuilder()`
    `StpApi.AddSerializationJobCommand` | `getAddSerializationJob()`
    `StpApi.AddSerializationJobCommandOrBuilder` | `getAddSerializationJobOrBuilder()`
    `StpApi.AddTIDTableEntriesCommand` | `getAddTidTableEntries()`
    `StpApi.AddTIDTableEntriesCommandOrBuilder` | `getAddTidTableEntriesOrBuilder()`
    `StpApi.ConnectCommand` | `getConnect()` Connect to device.
    `StpApi.ConnectCommandOrBuilder` | `getConnectOrBuilder()` Connect to device.
    `StpApi.DisengageCommand` | `getDisengage()`
    `StpApi.DisengageCommandOrBuilder` | `getDisengageOrBuilder()`
    `StpApi.EngageCommand` | `getEngage()`
    `StpApi.EngageCommandOrBuilder` | `getEngageOrBuilder()`
    `StpApi.GetAntennaConfigCommand` | `getGetAntennaConfig()`
    `StpApi.GetAntennaConfigCommandOrBuilder` | `getGetAntennaConfigOrBuilder()`
    `StpApi.GetDeviceConfigCommand` | `getGetDeviceConfig()`
    `StpApi.GetDeviceConfigCommandOrBuilder` | `getGetDeviceConfigOrBuilder()`
    `StpApi.GetDeviceStateCommand` | `getGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetDeviceStateCommandOrBuilder` | `getGetDeviceStateOrBuilder()` Get the state (operating, fault, etc.) of the device.
    `StpApi.GetOperationDataCommand` | `getGetOperationData()`
    `StpApi.GetOperationDataCommandOrBuilder` | `getGetOperationDataOrBuilder()`
    `StpApi.GetVersionsReaderCommand` | `getGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `StpApi.GetVersionsReaderCommandOrBuilder` | `getGetVersionsReaderOrBuilder()` Return all version information reported by the device and by the host-side library.
    `StpApi.RemoveSerializationJobCommand` | `getRemoveSerializationJob()`
    `StpApi.RemoveSerializationJobCommandOrBuilder` | `getRemoveSerializationJobOrBuilder()`
    `StpApi.SetAntennaConfigCommand` | `getSetAntennaConfig()`
    `StpApi.SetAntennaConfigCommandOrBuilder` | `getSetAntennaConfigOrBuilder()`
    `StpApi.SetCartonContentsJobCommand` | `getSetCartonContentsJob()`
    `StpApi.SetCartonContentsJobCommandOrBuilder` | `getSetCartonContentsJobOrBuilder()`
    `StpApi.SetDeviceConfigCommand` | `getSetDeviceConfig()`
    `StpApi.SetDeviceConfigCommandOrBuilder` | `getSetDeviceConfigOrBuilder()`
    `StpApi.SetInventoryJobCommand` | `getSetInventoryJob()`
    `StpApi.SetInventoryJobCommandOrBuilder` | `getSetInventoryJobOrBuilder()`
    `StpApi.SetOperationResultGPOCommand` | `getSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.SetOperationResultGPOCommandOrBuilder` | `getSetOperationResultGpoOrBuilder()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `StpApi.StartCommand` | `getStart()` Start the encode or inventory run.
    `StpApi.StartCommandOrBuilder` | `getStartOrBuilder()` Start the encode or inventory run.
    `StpApi.StopCommand` | `getStop()` Stop the encode or inventory run.
    `StpApi.StopCommandOrBuilder` | `getStopOrBuilder()` Stop the encode or inventory run.
    `boolean` | `hasAddLicenseKey()`
    `boolean` | `hasAddOrderedListEntries()`
    `boolean` | `hasAddSerializationJob()`
    `boolean` | `hasAddTidTableEntries()`
    `boolean` | `hasConnect()` Connect to device.
    `boolean` | `hasDisengage()`
    `boolean` | `hasEngage()`
    `boolean` | `hasGetAntennaConfig()`
    `boolean` | `hasGetDeviceConfig()`
    `boolean` | `hasGetDeviceState()` Get the state (operating, fault, etc.) of the device.
    `boolean` | `hasGetOperationData()`
    `boolean` | `hasGetVersionsReader()` Return all version information reported by the device and by the host-side library.
    `boolean` | `hasRemoveSerializationJob()`
    `boolean` | `hasSetAntennaConfig()`
    `boolean` | `hasSetCartonContentsJob()`
    `boolean` | `hasSetDeviceConfig()`
    `boolean` | `hasSetInventoryJob()`
    `boolean` | `hasSetOperationResultGpo()` When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.
    `boolean` | `hasStart()` Start the encode or inventory run.
    `boolean` | `hasStop()` Stop the encode or inventory run.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasConnect

          boolean hasConnect()

      Connect to device.

    - #### getConnect

          StpApi.ConnectCommand getConnect()

      Connect to device.

    - #### getConnectOrBuilder

          StpApi.ConnectCommandOrBuilder getConnectOrBuilder()

      Connect to device.

    - #### hasGetVersionsReader

          boolean hasGetVersionsReader()

      Return all version information reported by the device and by the host-side library.

    - #### getGetVersionsReader

          StpApi.GetVersionsReaderCommand getGetVersionsReader()

      Return all version information reported by the device and by the host-side library.

    - #### getGetVersionsReaderOrBuilder

          StpApi.GetVersionsReaderCommandOrBuilder getGetVersionsReaderOrBuilder()

      Return all version information reported by the device and by the host-side library.

    - #### hasStart

          boolean hasStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### getStart

          StpApi.StartCommand getStart()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### getStartOrBuilder

          StpApi.StartCommandOrBuilder getStartOrBuilder()

      Start the encode or inventory run. The device must be engaged with GPI or by calling engage before starting.

    - #### hasStop

          boolean hasStop()

      Stop the encode or inventory run. The device must be operating.

    - #### getStop

          StpApi.StopCommand getStop()

      Stop the encode or inventory run. The device must be operating.

    - #### getStopOrBuilder

          StpApi.StopCommandOrBuilder getStopOrBuilder()

      Stop the encode or inventory run. The device must be operating.

    - #### hasGetDeviceState

          boolean hasGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### getGetDeviceState

          StpApi.GetDeviceStateCommand getGetDeviceState()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### getGetDeviceStateOrBuilder

          StpApi.GetDeviceStateCommandOrBuilder getGetDeviceStateOrBuilder()

      Get the state (operating, fault, etc.) of the device. Contains a fault description, if any.

    - #### hasSetDeviceConfig

          boolean hasSetDeviceConfig()

    - #### getSetDeviceConfig

          StpApi.SetDeviceConfigCommand getSetDeviceConfig()

    - #### getSetDeviceConfigOrBuilder

          StpApi.SetDeviceConfigCommandOrBuilder getSetDeviceConfigOrBuilder()

    - #### hasGetDeviceConfig

          boolean hasGetDeviceConfig()

    - #### getGetDeviceConfig

          StpApi.GetDeviceConfigCommand getGetDeviceConfig()

    - #### getGetDeviceConfigOrBuilder

          StpApi.GetDeviceConfigCommandOrBuilder getGetDeviceConfigOrBuilder()

    - #### hasSetAntennaConfig

          boolean hasSetAntennaConfig()

    - #### getSetAntennaConfig

          StpApi.SetAntennaConfigCommand getSetAntennaConfig()

    - #### getSetAntennaConfigOrBuilder

          StpApi.SetAntennaConfigCommandOrBuilder getSetAntennaConfigOrBuilder()

    - #### hasGetAntennaConfig

          boolean hasGetAntennaConfig()

    - #### getGetAntennaConfig

          StpApi.GetAntennaConfigCommand getGetAntennaConfig()

    - #### getGetAntennaConfigOrBuilder

          StpApi.GetAntennaConfigCommandOrBuilder getGetAntennaConfigOrBuilder()

    - #### hasEngage

          boolean hasEngage()

    - #### getEngage

          StpApi.EngageCommand getEngage()

    - #### getEngageOrBuilder

          StpApi.EngageCommandOrBuilder getEngageOrBuilder()

    - #### hasDisengage

          boolean hasDisengage()

    - #### getDisengage

          StpApi.DisengageCommand getDisengage()

    - #### getDisengageOrBuilder

          StpApi.DisengageCommandOrBuilder getDisengageOrBuilder()

    - #### hasSetOperationResultGpo

          boolean hasSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### getSetOperationResultGpo

          StpApi.SetOperationResultGPOCommand getSetOperationResultGpo()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### getSetOperationResultGpoOrBuilder

          StpApi.SetOperationResultGPOCommandOrBuilder getSetOperationResultGpoOrBuilder()

      When the GPOConfig enable_operation_result_gpo is set false, this command lets the client application set the pass/fail GPO based on its own pass/fail conditions.

    - #### hasAddSerializationJob

          boolean hasAddSerializationJob()

    - #### getAddSerializationJob

          StpApi.AddSerializationJobCommand getAddSerializationJob()

    - #### getAddSerializationJobOrBuilder

          StpApi.AddSerializationJobCommandOrBuilder getAddSerializationJobOrBuilder()

    - #### hasRemoveSerializationJob

          boolean hasRemoveSerializationJob()

    - #### getRemoveSerializationJob

          StpApi.RemoveSerializationJobCommand getRemoveSerializationJob()

    - #### getRemoveSerializationJobOrBuilder

          StpApi.RemoveSerializationJobCommandOrBuilder getRemoveSerializationJobOrBuilder()

    - #### hasAddTidTableEntries

          boolean hasAddTidTableEntries()

    - #### getAddTidTableEntries

          StpApi.AddTIDTableEntriesCommand getAddTidTableEntries()

    - #### getAddTidTableEntriesOrBuilder

          StpApi.AddTIDTableEntriesCommandOrBuilder getAddTidTableEntriesOrBuilder()

    - #### hasAddOrderedListEntries

          boolean hasAddOrderedListEntries()

    - #### getAddOrderedListEntries

          StpApi.AddOrderedListEntriesCommand getAddOrderedListEntries()

    - #### getAddOrderedListEntriesOrBuilder

          StpApi.AddOrderedListEntriesCommandOrBuilder getAddOrderedListEntriesOrBuilder()

    - #### hasSetInventoryJob

          boolean hasSetInventoryJob()

    - #### getSetInventoryJob

          StpApi.SetInventoryJobCommand getSetInventoryJob()

    - #### getSetInventoryJobOrBuilder

          StpApi.SetInventoryJobCommandOrBuilder getSetInventoryJobOrBuilder()

    - #### hasSetCartonContentsJob

          boolean hasSetCartonContentsJob()

    - #### getSetCartonContentsJob

          StpApi.SetCartonContentsJobCommand getSetCartonContentsJob()

    - #### getSetCartonContentsJobOrBuilder

          StpApi.SetCartonContentsJobCommandOrBuilder getSetCartonContentsJobOrBuilder()

    - #### hasGetOperationData

          boolean hasGetOperationData()

    - #### getGetOperationData

          StpApi.GetOperationDataCommand getGetOperationData()

    - #### getGetOperationDataOrBuilder

          StpApi.GetOperationDataCommandOrBuilder getGetOperationDataOrBuilder()

    - #### hasAddLicenseKey

          boolean hasAddLicenseKey()

    - #### getAddLicenseKey

          StpApi.AddLicenseKeyCommand getAddLicenseKey()

    - #### getAddLicenseKeyOrBuilder

          StpApi.AddLicenseKeyCommandOrBuilder getAddLicenseKeyOrBuilder()